Bug 781890 - default network definition came back from the dead
default network definition came back from the dead
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Laine Stump
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-15 20:27 EST by Tom Horsley
Modified: 2012-10-20 22:27 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-20 22:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2012-01-15 20:27:48 EST
Description of problem:

I just got a libvirt update, and when I rebooted my system I found the
virbr0 interface had been created and dnsmasq running.

Long ago I removed the default network definition via:

virsh net-destroy default
virsh net-undefine default

Yet now, a libvirt update has apparently brought it back.

Seems like a bug to me that a sysadmin's libvirt configuration
would be changed by an update.

Version-Release number of selected component (if applicable):
libvirt-0.9.6-4.fc16.x86_64

How reproducible:
Just did the update, but I suspect it would happen again.

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
Default network has apparently returned.

Expected results:
Leave my configuration alone.

Additional info:
Comment 1 Dave Allan 2012-01-16 10:47:12 EST
This question really needs to be discussed upstream, but I'm starting to think that Fedora should ship a libvirt-config RPM that contains things like the default network so people can avoid having the default network configured if they don't want it.
Comment 2 Cole Robinson 2012-06-07 16:33:57 EDT
We ended up doing that in F17 at least. Maybe worth doing for F16.

Tom, you can actually make it stop by just doing

virsh net-destroy default
virsh net-autostart --disable default

Skipping the undefine step should prevent libvirt from enabling the network.
Comment 3 Cole Robinson 2012-10-20 22:27:47 EDT
I think F17 got this right on upgrade, so just closing as CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.